QGIS Application - Bug report #18487
Print composer extremely slow outputting PDF's
2018-03-20 10:18 AM - Simon McGowan

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.18.9 Regression?: Yes

Operating System: Windows 7 Enterprise (Service pack 1) 64}Easiy6fiB?Ram, Intel core Ne4800MQ 2.7GHz
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 26375

Description

I'm using QGIS version 2.18.9. When outputting an atlas as PDF's performance is terrible. | spent hours yesterday trying to output 48
pdfs from an atlas suffering multiple crashes. Whilst searching on here | found similar issues reporting the same thing and people also
reporting that it was working in a previous version of QGIS. | tried with version 2.16.3 and did not suffer the same performance issues.
Some numbers for you:

QGIS V2.16.3 - Outputting 48 no. PDFs as Raster took 5 minutes.
QGIS V2.18.9 - Outputting the same PDFs as Raster started 40 minutes ago and is only up to number 39.

| also noticed that before | selected output as Raster the file size was 4x bigger in 2.18.9 as it was in 2.16 approximately 100mb as
opposed to roughly 25mb.

Unfortunately | cannot share the data due to the project | am working on. As an example of the data set | have in the project here are
some stats:

There are 200 vector layers, mainly GeoDB files with a few shapefiles.
There are 282 background raster images from ordnance survey open data. (display controlled by the scale)

History

#1 - 2018-03-20 10:24 AM - Nyall Dawson
- Status changed from Open to Feedback

There's really not enough info here for any meaningful debugging... I'd suggest trying with no plugins, testing on a different machine, remove layers one by

one, etc and see if you can narrow down what causes the issue. It's not a common issue.

#2 - 2018-03-20 10:36 AM - Simon McGowan

That's fine. I've made you aware that somewhere between 2.16.3 and 2.18.9 there is a problem. It works as expected in 2.16.3 so | will use that version

for my work, unfortunately | haven't got time to trial and error every layer | have.

| disagree that its not a common issue, others have reported similar problems with 2.18: #17117, #16829, #15780

It finally took 55 minutes to output the PDFs by the way. 2.16 for the win!

#3 - 2018-03-20 10:49 AM - Nyall Dawson
Ok - but be aware that none of those reports are reproducable either. End result is that this bug is never going to get fixed unless someone who

experiences it can share a project and data which demonstrates it.

#4 - 2018-10-22 01:32 AM - Nyall Dawson
- Status changed from Feedback to Closed

Closed due to lack of feedback
